# Update a refund Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Updates the basic and finance information about a refund. Endpoint: PUT /v1/refunds/{refundKey} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `refundKey` (string, required) The unique ID or number of a refund. For example, 4028905f5a87c0ff015a889e590e00c9 or R-00000001. ## Request fields (application/json): - `comment` (string) Comments about the refund. - `financeInformation` (object) Container for the finance information related to the refund. - `financeInformation.bankAccountAccountingCode` (string) The accounting code that maps to a bank account in your accounting system. - `financeInformation.transferredToAccounting` (string) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `financeInformation.unappliedPaymentAccountingCode` (string) The accounting code for the unapplied payment. - `reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. If you do not specify a value, Zuora uses the default reason code. Example: "Other" - `referenceId` (string) The transaction ID returned by the payment gateway. Use this field to reconcile refunds between your gateway and Zuora Payments. You can only update the reference ID for external refunds. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the refund's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the refund was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SynctoNetSuite__NS` (string) Specifies whether the refund should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `accountId` (string) The ID of the account associated with this refund. Zuora associates the refund automatically with the account from the associated payment or credit memo. - `amount` (number) The total amount of the refund. - `cancelledOn` (string) The date and time when the refund was cancelled, in yyyy-mm-dd hh:mm:ss format. - `comment` (string,null) Comments about the refund. - `createdById` (string) The ID of the Zuora user who created the refund. - `createdDate` (string) The date and time when the refund was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10. - `creditMemoId` (string) The ID of the credit memo that is refunded. - `financeInformation` (object) Container for the finance information related to the refund. - `financeInformation.bankAccountAccountingCode` (string) The accounting code that maps to a bank account in your accounting system. - `financeInformation.bankAccountAccountingCodeType` (string) The type of the accounting code that maps to a bank account in your accounting system. - `financeInformation.transferredToAccounting` (string) Whether the refund was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `financeInformation.unappliedPaymentAccountingCode` (string) The accounting code for the unapplied payment. - `financeInformation.unappliedPaymentAccountingCodeType` (string) The type of the accounting code for the unapplied payment. - `gatewayId` (string) The ID of the gateway instance that processes the refund. - `gatewayReconciliationReason` (string) The reason of gateway reconciliation. - `gatewayReconciliationStatus` (string) The status of gateway reconciliation. - `gatewayResponse` (string) The message returned from the payment gateway for the refund. This message is gateway-dependent. - `gatewayResponseCode` (string) The code returned from the payment gateway for the refund. This code is gateway-dependent. - `gatewayState` (string) The status of the refund in the gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `id` (string) The ID of the refund. - `markedForSubmissionOn` (string) The date and time when a refund was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `methodType` (string) How an external refund was issued to a customer. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `number` (string) The unique identification number of the refund. - `organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `paymentId` (string) The ID of the payment that is refunded. - `paymentMethodId` (string) The unique ID of the payment method that the customer used to make the refund. - `paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot, which is a copy of the particular payment method used in a transaction. - `payoutId` (string) The payout ID of the refund from the gateway side. - `reasonCode` (string) A code identifying the reason for the transaction. - `referenceId` (string) The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments. - `refundDate` (string) The date when the refund takes effect, in yyyy-mm-dd format. For example, 2017-03-01. - `refundTransactionTime` (string) The date and time when the refund was issued, in yyyy-mm-dd hh:mm:ss format. - `secondRefundReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the refund. Use this field to reconcile payments between your gateway and Zuora Payments. - `settledOn` (string) The date and time when the refund was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `softDescriptor` (string) A payment gateway-specific field that maps Zuora to other gateways. - `softDescriptorPhone` (string) A payment gateway-specific field that maps Zuora to other gateways. - `status` (string) The status of the refund. Enum: "Processed", "Canceled", "Error", "Processing" - `submittedOn` (string) The date and time when the refund was submitted, in yyyy-mm-dd hh:mm:ss format. - `success` (boolean) Returns true if the request was processed successfully. - `type` (string) The type of the refund. Enum: "External", "Electronic" - `updatedById` (string) The ID of the Zuora user who last updated the refund. - `updatedDate` (string) The date and time when the refund was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10. Example: "2017-03-02 15:36:10" - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the refund's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the refund was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SynctoNetSuite__NS` (string) Specifies whether the refund should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.